<?php 
/*
Plugin Name: شخصی سازی ساده وردپرس (تمپ کده)
Plugin URI: https://www.tempkade.ir/
Description: افزونه ویژه : شخصی سازی وردپرس - فونت وردپرس 
Author: تمپ کده
Version: 1.9
Author URI: https://www.tempkade.ir/
*/
require('inc/functions.php');
function custom_wp_theme_menu(){  
add_options_page('شخصی سازی وردپرس (تمپ کده)','شخصی سازی وردپرس (تمپ کده)','administrator','custom-wp-admin','custom_wp_theme_page');
}
add_action('admin_menu', 'custom_wp_theme_menu');
function custom_wp_theme_page() { 
global $plugin_wp_admin_name,$plugin_wp_admin_options;
$i=0;
$message=''; 
if ('save' == $_REQUEST['action']) {
foreach ($plugin_wp_admin_options as $value) {
update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
foreach ($plugin_wp_admin_options as $value) {
if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
$message='saved';
}
else if( 'reset' == $_REQUEST['action'] ) {
foreach ($plugin_wp_admin_options as $value) {
delete_option( $value['id'] ); }
$message='reset';
}
?>
<div class="wrap">
<h2>شخصی سازی وردپرس (تمپ کده)</h2>
<div class="updated">
<p><a style="text-decoration:none;" title="افزونه ساخته شده توسط تمپ کده" href="https://www.tempkade.ir/" target="_blank">افزونه ساخته شده توسط تمپ کده</a></p>
</div>
<?php 
if ( $message=='saved' ) echo '<div class="updated settings-error" id="setting-error-settings_updated"> 
<p>تنظيمات افزونه '.$plugin_wp_admin_name.' ذخيره شد.</p></div>';
if ( $message=='reset' ) echo '<div class="updated settings-error" id="setting-error-settings_updated"> 
<p>تنظيمات افزونه '.$plugin_wp_admin_name.' ریست شد.</p></div>';
?>
<p>افزونه : شخصی سازی وردپرس (تمپ کده) - نسخه : 1.9</p>
<p>با اين افزونه میتوانید وردپرس خود را شخصی سازی کنید</p>
<form method="post">
<?php foreach ($plugin_wp_admin_options as $value) {
switch ( $value['type'] ) {
case 'title': ?>
<h2 class="title TkTitlePlugin"><?php echo $value['title']; ?></h2>
<?php break;
case 'open': ?>
<table class="form-table">
<?php break;
case 'text': ?>
<tr>
<th scope="row"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></th>
<td><input id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" name="<?php echo $value['id']; ?>" class="<?php echo $value['class']; ?>" size="<?php echo $value['size']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings( $value['id'])  ); } else { echo $value['value']; } ?>" placeholder="<?php echo $value['placeholder']; ?>" /><?php echo $value['description']; ?></td>
<?php break;
case 'text2': ?>
<tr>
<th scope="row"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></th>
<td><code><?php echo $value['value']; ?></code></td>
</tr>
<?php break;
case 'select': ?>
<tr>
<th scope="row"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></th>
<td><select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option => $v) { ?>
<option <?php if (get_settings( $value['id'] ) == $option) { echo 'selected="selected"'; } ?> value="<?php echo $option; ?>"><?php echo $v; ?></option>
<?php } ?>
</select></td>
</tr>
<?php break;
case 'checkbox': ?>
<tr>
<th scope="row"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></th>
<?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>
<td><input id="<?php echo $value['id']; ?>" type="checkbox" name="<?php echo $value['id']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings( $value['id'])  ); } else { echo $value['value']; } ?>" <?php echo $checked; ?> /></td>
</tr>
<?php break;
case 'checkbox2': ?>
<tr>
<th scope="row"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></th>
<?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>
<td><input id="<?php echo $value['id']; ?>" type="checkbox" name="<?php echo $value['id']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings( $value['id'])  ); } else { echo $value['value']; } ?>" <?php echo $checked; ?> />
<span style="color:#d30008;font-size:12px;"><?php echo $value['description']; ?></span></td>
</tr>
<?php break;
case 'textpro': ?>
<tr>
<th scope="row"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></th>
<td><input id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" name="<?php echo $value['id']; ?>" class="<?php echo $value['class']; ?>" size="<?php echo $value['size']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings( $value['id'])  ); } else { echo $value['value']; } ?>" placeholder="<?php echo $value['placeholder']; ?>" disabled /><span class="TkTitlePro">نسخه پیشرفته</span></td>
<?php break;
case 'checkboxpro': ?>
<tr>
<th scope="row"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></th>
<?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>
<td><input id="<?php echo $value['id']; ?>" type="checkbox" name="<?php echo $value['id']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings( $value['id'])  ); } else { echo $value['value']; } ?>" <?php echo $checked; ?> disabled /><span class="TkTitlePro">نسخه پیشرفته</span></td>
</tr>
<?php break;
case 'close': ?>
</table>
<?php break;
}
}?>
<p class="submit">
<input name="save" type="submit" class="button-primary" value="ذخیره تنظیمات" />
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<input name="reset" type="submit" value="ریست تنظیمات" />
<input type="hidden" name="action" value="reset" />
</form>
<div class="TkPluginLinkPro"><a title="ارتقاء به نسخه پیشرفته" href="https://www.tempkade.ir/?p=3116" target="_blank">ارتقاء به نسخه پیشرفته</a></div>
</div>
<?php }?>